Bug 1416334 - [dev-preview] Some images of default imagestreams are missing in online PROD environment
Summary: [dev-preview] Some images of default imagestreams are missing in online PROD ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: Bing Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 10:22 UTC by Bing Li
Modified: 2017-04-05 20:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-05 20:54:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bing Li 2017-01-25 10:22:54 UTC
Description of problem:
Images were failed to be imported in PROD for below default ImageStreams:
jboss-webserver30-tomcat8-openshift
python
jboss-eap70-openshift
redhat-sso70-openshift

Version-Release number of selected component (if applicable):
Online PROD
OpenShift Master: v3.4.0.39 (online version 3.4.0.13)
Kubernetes Master: v1.4.0+776c994

How reproducible:
Always

Steps to Reproduce:
1. Check if all images were imported under openshift project:
oc describe is -n openshift

Actual results:
1. No imagestreamtag is found for below 2 imagestreams:

$ oc get is jboss-eap70-openshift redhat-sso70-openshift -n openshift
NAME                     DOCKER REPO                                               TAGS      UPDATED
jboss-eap70-openshift    registry.access.redhat.com/jboss-eap-7/eap70-openshift              
redhat-sso70-openshift   registry.access.redhat.com/redhat-sso-7/sso70-openshift             

And for imagestream "jboss-webserver30-tomcat8-openshift" and "python", images were failed to be imported:

$oc describe is jboss-webserver30-tomcat8-openshift -n openshift
Name:                        jboss-webserver30-tomcat8-openshift
Namespace:                openshift
Created:                6 days ago
Labels:                        <none>
Annotations:                openshift.io/display-name=JWS 3.0 Tomcat 8
                        openshift.io/image.dockerRepositoryCheck=2017-01-18T19:33:35Z
Docker Pull Spec:        172.30.47.227:5000/openshift/jboss-webserver30-tomcat8-openshift
Unique Images:                0
Tags:                        5

latest
  pushed image

  ! error: Import failed (InternalError): Internal error occurred: Head https://registry.access.redhat.com/v2/jboss-webserver-3/webserver30-tomcat8-openshift/blobs/sha256:ea4b1db73f91a0eee361a6a6b6e3522fcd6aa8c1a7a439db0fc699b6bf96e3fa: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:33927->172.31.10.24:53: read: connection refused
      6 days ago

1.2
  pushed image

  Build and run JBoss Web Server 3.0 Tomcat 8 applications on RHEL 7. For more information about using this builder image, including OpenShift considerations, see https://access.redhat.com/documentation/en/red-hat-xpaas/0/paged/red-hat-xpaas-jboss-web-server-image/chapter-3-get-started.
  Tags: builder, tomcat, tomcat8, java, jboss, xpaas
  Supports: tomcat8:3.0, tomcat:8, java:8, xpaas:1.2
  Example Repo: https://github.com/jboss-openshift/openshift-quickstarts.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/jboss-webserver-3/webserver30-tomcat8-openshift/manifests/1.2: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:43962->172.31.10.24:53: read: connection refused
      6 days ago

1.1
  pushed image

  Build and run JBoss Web Server 3.0 Tomcat 8 applications on RHEL 7. For more information about using this builder image, including OpenShift considerations, see https://access.redhat.com/documentation/en/red-hat-xpaas/0/paged/red-hat-xpaas-jboss-web-server-image/chapter-3-get-started.
  Tags: builder, tomcat, tomcat8, java, jboss, xpaas
  Supports: tomcat8:3.0, tomcat:8, java:8, xpaas:1.1
  Example Repo: https://github.com/jboss-openshift/openshift-quickstarts.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/jboss-webserver-3/webserver30-tomcat8-openshift/manifests/1.1: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:43522->172.31.10.24:53: read: connection refused
      6 days ago

1.1-3
  pushed image

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/jboss-webserver-3/webserver30-tomcat8-openshift/manifests/1.1-3: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:59455->172.31.10.24:53: read: connection refused
      6 days ago

1.1-7
  pushed image

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/jboss-webserver-3/webserver30-tomcat8-openshift/manifests/1.1-7: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:38823->172.31.10.24:53: read: connection refused
      6 days ago

$ oc describe is python -n openshift
Name:                        python
Namespace:                openshift
Created:                6 days ago
Labels:                        <none>
Annotations:                openshift.io/display-name=Python
                        openshift.io/image.dockerRepositoryCheck=2017-01-18T19:33:35Z
Docker Pull Spec:        172.30.47.227:5000/openshift/python
Unique Images:                0
Tags:                        5

3.5 (latest)
  tagged from registry.access.redhat.com/rhscl/python-35-rhel7:latest

  Build and run Python 3.5 applications on RHEL 7. For more information about using this builder image, including OpenShift considerations, see https://github.com/sclorg/s2i-python-container/blob/master/3.5/README.md.
  Tags: builder, python
  Supports: python:3.5, python
  Example Repo: https://github.com/openshift/django-ex.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:40401->172.31.10.24:53: read: connection refused
      6 days ago

3.4
  tagged from registry.access.redhat.com/rhscl/python-34-rhel7:latest

  Build and run Python 3.4 applications on RHEL 7. For more information about using this builder image, including OpenShift considerations, see https://github.com/sclorg/s2i-python-container/blob/master/3.4/README.md.
  Tags: builder, python
  Supports: python:3.4, python
  Example Repo: https://github.com/openshift/django-ex.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:40401->172.31.10.24:53: read: connection refused
      6 days ago

3.3
  tagged from registry.access.redhat.com/openshift3/python-33-rhel7:latest

  Build and run Python 3.3 applications on RHEL 7. For more information about using this builder image, including OpenShift considerations, see https://github.com/sclorg/s2i-python-container/blob/master/3.3/README.md.
  Tags: builder, python
  Supports: python:3.3, python
  Example Repo: https://github.com/openshift/django-ex.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:40401->172.31.10.24:53: read: connection refused
      6 days ago

2.7
  tagged from registry.access.redhat.com/rhscl/python-27-rhel7:latest

  Build and run Python 2.7 applications on RHEL 7. For more information about using this builder image, including OpenShift considerations, see https://github.com/sclorg/s2i-python-container/blob/master/2.7/README.md.
  Tags: builder, python
  Supports: python:2.7, python
  Example Repo: https://github.com/openshift/django-ex.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: dial tcp: lookup registry.access.redhat.com on 172.31.10.24:53: read udp 172.31.10.24:40401->172.31.10.24:53: read: connection refused
      6 days ago

Expected results:
1. Images should be imported successfully.

Comment 1 Vu Dinh 2017-02-10 17:43:46 UTC
Can you double-check again as I see those images are available?

The images sometimes takes a bit of time to be synced up. You might happen to check when the images were not yet synced during PROD update process.

Thanks,
Vu

Comment 2 Bing Li 2017-02-13 02:56:34 UTC
@Vu Dinh, All the default images are available now in PROD. 

Move to verified. Thanks!


Note You need to log in before you can comment on or make changes to this bug.